Name: universalindentgui
Version: 1.1.0
Release: alt0.2

Summary:        GUI for varius source code beautifiers
License:        GPL
Group:          Development/Tools
URL:            http://universalindent.sourceforge.net/
Source: %name-%version.tar
Source1: %name.desktop

# Automatically added by buildreq on Thu Oct 08 2009
BuildRequires: gcc-c++ libqscintilla2-qt4-devel

%description
The UniversalIndentGUI is a universal graphical user
interface for source code, respective text, formatter, beautifier and
indenter. This is mainly achieved by a configuration file for each
supported indenter.

One of the main features and the reason why this tool was (better is
being right now) developed is to see how the indent parameter affects
the source code style directly while changing the parameters. It
always bothered me to change one option of a tool like GNU Indent or
GreatCode and have to run it to see what my code would look like
afterward. Often the result was not what I expected from the
parameters description. So these times are gone. Toggle a parameter
and see what it does.

%description -l ru_RU.UTF-8
UniversalIndentGUI - это универсальный графический интерфейс
к разнообразным программам, форматирующим программный код:
indent, astyle, uncrustify и д.р.

UniversalIndentGUI позволяет легко модифицировать
каждый пункт настройки любой из поддерживаемых программ
и одновременно видеть на специальном тестовом примере,
к чему это приводит.

%prep
%setup

%build
qmake-qt4 UniversalIndentGUI.pro
make release
lrelease-qt4 translations/*

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name/config
mkdir -p %buildroot%_datadir/%{name}/indenters
mkdir -p %buildroot%_datadir/%name/translations

install -pm755 release/%{name} %buildroot/%_bindir/
install -m 644 -p config/UiGuiSyntaxHighlightConfig.ini %buildroot%_datadir/%{name}/config/
install -m 644 -p indenters/*.ini %buildroot%_datadir/%{name}/indenters/
install -m 644 -p indenters/example.* %buildroot%_datadir/%{name}/indenters/

# Маска u* для того, чтобы не копировать ненужный шлак созданный для Windows.
install -pm644 translations/u*.qm %buildroot%_datadir/%name/translations

install -pm644 -D resources/universalIndentGUI.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg
install -pm644 -D resources/universalIndentGUI_32x32.png %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
install -pm644 -D resources/universalIndentGUI_64x64.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png
install -pm644 -D %SOURCE1 %buildroot%_desktopdir/%name.desktop
  
%files  
%_bindir/universalindentgui
%dir %_datadir/%name
%dir %_datadir/%name/config/
%dir %_datadir/%name/indenters/
%dir %_datadir/%name/translations/

%_datadir/%name/config/*
%_datadir/%name/indenters/*
%_datadir/%name/translations/*

%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/*

%changelog
* Thu Oct 08 2009 Andrey Bergman <vkni@altlinux.org> 1.1.0-alt0.2
- Added translations.

* Thu Oct 08 2009 Andrey Bergman <vkni@altlinux.org> 1.1.0-0.1
- Initial release. Based on both Fedora 8 and openSuse 11 
unofficial packages.
